using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace WebApplication1.Controllers {
	public class HomeController : Controller {
		public ActionResult Index() {
			string cheminControlers = Server.MapPath( "~/Controllers" );
			string[] controleurs = Directory.GetFiles( cheminControlers, "*Controller.cs" ).Select( c => Path.GetFileName( c ).Replace( "Controller.cs", string.Empty ) ).ToArray();
			return View( controleurs );
		}
	}
}